%bcond_with     allegro_unstable

Name:           atanks
Version:        2.7
Release:        %mkrel 1
Summary:        Scorched Earth game clone
License:        GPL
Group:          Games/Arcade
Url:            http://atanks.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/atanks/atanks-%{version}.tar.gz
Source3:        %{name}-16.png
Source4:        %{name}-32.png
Source5:        %{name}-48.png
%if %with allegro_unstable
BuildRequires:  allegro-testing-devel
%else
BuildRequires:  allegro-devel
%endif

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q -n %{name}

%build
%{make} CC="%{__cxx}" OFLAGS="%{optflags}" FLAGS="-DLINUX -DVERSION=\\\"%{version}\\\" -DDATA_DIR=\\\"%{_gamesdatadir}/%{name}\\\""

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}{%{_gamesbindir},%{_gamesdatadir}/%{name}}
%{__cp} -a %{name} %{buildroot}%{_gamesbindir}
%{__cp} -a *.dat %{buildroot}%{_gamesdatadir}/%{name}
%{__cp} -a *.txt %{buildroot}%{_gamesdatadir}/%{name}

%{__perl} -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

%{__chmod} 644 %{buildroot}%{_gamesdatadir}/%{name}/*

# Menu
%{__mkdir_p} %{buildroot}{%{_menudir},%{_liconsdir},%{_iconsdir},%{_miconsdir}}

%{__install} -D -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -D -m 644 %{SOURCE4} %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -D -m 644 %{SOURCE5} %{buildroot}%{_liconsdir}/%{name}.png

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Scorched Earth game clone
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc Changelog COPYING README TODO atanks-%{version}.spec
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*


%changelog
* Tue Dec 18 2007 David Walluck <walluck@mandriva.org> 2.7-1mdv2008.1
+ Revision: 132125
- 2.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Funda Wang <fundawang@mandriva.org> 2.5-2mdv2008.0
+ Revision: 72154
- fix desktop entry comment

* Thu Aug 16 2007 David Walluck <walluck@mandriva.org> 2.5-1mdv2008.0
+ Revision: 64130
- 2.5


* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 2.2-1mdv2007.1
+ Revision: 141212
- 2.2
  really set OFLAGS
  macros

* Wed Feb 14 2007 Lenny Cartier <lenny@mandriva.com> 2.1-1mdv2007.1
+ Revision: 120733
- Update to 2.1

* Wed Jan 10 2007 Lenny Cartier <lenny@mandriva.com> 2.0-1mdv2007.1
+ Revision: 107125
- Update to 2.0

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 1.5a-1mdv2007.0
+ Revision: 52854
- 1.5a
- Import atanks

* Tue Aug 01 2006 Lenny Cartier <lenny@mandriva.com> 1.1.0-6mdv2007.0
- xdg

* Tue Jul 26 2005 Olivier Blin <oblin@mandriva.com> 1.1.0-5mdk
- fix BuildRequires
- rebuild with allegro-testing-4.2.0

* Sun Jul 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.0-4mdk
- Rebuild

* Sat Apr 16 2005 Guillaume Bedot <littletux@zarb.org> 1.1.0-3mdk
- make it easy to rebuild with allegro or allegro-testing.
- built with allegro-testing.

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-2mdk
- update description
- patch for new g++

